/* 
 * Copyright (C) 2001-2013 Michael Fuchs
 *
 * This file is part of herold.
 * 
 * herold is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * herold is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with herold.  If not, see <http://www.gnu.org/licenses/>.  
 */
package org.dbdoclet.trafo.internal.html.docbook.editor;

import org.dbdoclet.tag.docbook.DocBookTagFactory;
import org.dbdoclet.trafo.html.EditorException;
import org.dbdoclet.trafo.html.EditorInstruction;
import org.dbdoclet.xiphias.dom.NodeListImpl;

public class DlEditor extends DocBookEditor {

    @Override
    public EditorInstruction edit(EditorInstruction values) throws EditorException {

	setValues(super.edit(values));
	DocBookTagFactory dbfactory = getTagFactory();

	org.dbdoclet.tag.html.Dl dl = (org.dbdoclet.tag.html.Dl) getHtmlElement();
	String title = dl.getTitle();

	NodeListImpl children = dl.getTrafoChildNodes();

	if (children.size() == 0) {

	    return finalizeValues();
	}

	if (isList(getParent())) {

	    setCurrent(dbfactory.createListitem());
	    getCurrent().setParentNode(getParent());
	    getParent().appendChild(getCurrent());
	    setParent(getCurrent());
	}

	setCurrent(dbfactory.createVariablelist());

	if ((title != null) && (title.length() > 0)) {
	    getCurrent().appendChild(dbfactory.createTitle(title));
	}

	getParent().appendChild(getCurrent());
	traverse(true);

	return finalizeValues();
    }
}
